=== debian/changelog ===
ros-kinetic-mrpt-rawlog (0.1.26-1xenial) xenial; urgency=high

  * mrpt_rawlog: abort if input file does not exist. Fix crash if built against mrpt1.
  * remove qtcreator temporary files
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.25-1xenial) xenial; urgency=high

  * fix build in gcc 4.x
  * fix build against mrpt1 (Closes #113 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/113>)
  * fix build against current mrpt2
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.24-1xenial) xenial; urgency=high

  * Fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * fix regression introduced in last refactor of mrpt_rawlog
  * rawlog_record: Explain error if cannot write .rawlog
  * Contributors: Jose Luis Blanco Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.23-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.22-1xenial) xenial; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.21-1xenial) xenial; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * marker messages are also logged as beacons if needed
  * mrpt_rawlog recorder update
  * static tf in rawlog record fixed
  * marker msgs added
  * timestamp problem solved
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * bearing readings added
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Fix paths in demo_play_ekf(_2d).launch files.
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml. (#66 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/66>)
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml.
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Markus Bader, Vladislav Tananaev

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.20-1xenial) xenial; urgency=high

  * rawlog_play: clean up; support obs-only rawlog
  * fix missing mrpt/config hdr
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * marker messages are also logged as beacons if needed
  * mrpt_rawlog recorder update
  * static tf in rawlog record fixed
  * marker msgs added
  * timestamp problem solved
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * bearing readings added
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Fix paths in demo_play_ekf(_2d).launch files.
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml. (#66 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/66>)
  * [mrpt_rawlog] Fix missing rosbag dependency in package.xml.
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Logrus, Markus Bader, Vladislav Tananaev

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.18-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.17-1xenial) xenial; urgency=high

  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.16-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 12 Dec 2016 23:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.15-1xenial) xenial; urgency=high

  * Fix build against MRPT 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 05 Nov 2016 23:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.14-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.13-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.12-1xenial) xenial; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-kinetic-mrpt-rawlog (0.1.11-1xenial) xenial; urgency=high


